org.apache.xpath.objects

## Class XObjectFactory

- java.lang.Object
- - org.apache.xpath.objects.XObjectFactory

    public class XObjectFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XObjectFactory()`

### Method Summary

Methods
`static XObject` `create(java.lang.Object val)` Create the right XObject based on the type of the object passed.
`static XObject` `create(java.lang.Object val, XPathContext xctxt)` Create the right XObject based on the type of the object passed.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XObjectFactory

    public XObjectFactory()

### Method Detail

#### create

    public static XObject create(java.lang.Object val)

Create the right XObject based on the type of the object passed. This function can not make an XObject that exposes DOM Nodes, NodeLists, and NodeIterators to the XSLT stylesheet as node-sets.

Parameters:
  `val` - The java object which this object will wrap.
Returns:
  the right XObject based on the type of the object passed.

#### create

    public static XObject create(java.lang.Object val,
                 XPathContext xctxt)

Create the right XObject based on the type of the object passed. This function <emph>can</emph> make an XObject that exposes DOM Nodes, NodeLists, and NodeIterators to the XSLT stylesheet as node-sets.

Parameters:
  `val` - The java object which this object will wrap.
  `xctxt` - The XPath context.
Returns:
  the right XObject based on the type of the object passed.